ScalaDocOptions (Gradle API 9.6.1)
Description: declaration: package: org.gradle.api.tasks.scala, class: ScalaDocOptions

Package org.gradle.api.tasks.scala

# Class ScalaDocOptions

java.lang.Object
org.gradle.api.tasks.scala.ScalaDocOptions

All Implemented Interfaces:
  `Serializable`

public abstract class ScalaDocOptions extends Object implements Serializable
Options for the ScalaDoc tool.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScalaDocOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable List<String>`
  `getAdditionalParameters()`
  Returns the additional parameters passed to the compiler.
  `@Nullable String`
  `getBottom()`
  Returns the HTML text to appear in the bottom text for each page.
  `@Nullable String`
  `getDocTitle()`
  Returns the HTML text to appear in the main frame title.
  `@Nullable String`
  `getFooter()`
  Returns the HTML text to appear in the footer for each page.
  `@Nullable String`
  `getHeader()`
  Returns the HTML text to appear in the header for each page.
  `@Nullable String`
  `getTop()`
  Returns the HTML text to appear in the top text for each page.
  `@Nullable String`
  `getWindowTitle()`
  Returns the text to appear in the window title.
  `boolean`
  `isDeprecation()`
  Tells whether to generate deprecation information.
  `boolean`
  `isUnchecked()`
  Tells whether to generate unchecked information.
  `void`
  `setAdditionalParameters(@Nullable List<String> additionalParameters)`
  Sets the additional parameters passed to the compiler.
  `void`
  `setBottom(@Nullable String bottom)`
  Sets the HTML text to appear in the bottom text for each page.
  `void`
  `setDeprecation(boolean deprecation)`
  Sets whether to generate deprecation information.
  `void`
  `setDocTitle(@Nullable String docTitle)`
  Sets the HTML text to appear in the main frame title.
  `void`
  `setFooter(@Nullable String footer)`
  Sets the HTML text to appear in the footer for each page.
  `void`
  `setHeader(@Nullable String header)`
  Sets the HTML text to appear in the header for each page.
  `void`
  `setTop(@Nullable String top)`
  Sets the HTML text to appear in the top text for each page.
  `void`
  `setUnchecked(boolean unchecked)`
  Sets whether to generate unchecked information.
  `void`
  `setWindowTitle(@Nullable String windowTitle)`
  Sets the text to appear in the window title.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScalaDocOptions

    public ScalaDocOptions()

- ## Method Details

  - ### isDeprecation

    @Input public boolean isDeprecation()
    Tells whether to generate deprecation information.

  - ### setDeprecation

    public void setDeprecation(boolean deprecation)
    Sets whether to generate deprecation information.

  - ### isUnchecked

    @Input public boolean isUnchecked()
    Tells whether to generate unchecked information.

  - ### setUnchecked

    public void setUnchecked(boolean unchecked)
    Sets whether to generate unchecked information.

  - ### getWindowTitle

    @Optional @Input public @Nullable String getWindowTitle()
    Returns the text to appear in the window title.

  - ### setWindowTitle

    public void setWindowTitle(@Nullable String windowTitle)
    Sets the text to appear in the window title.

  - ### getDocTitle

    @Optional @Input public @Nullable String getDocTitle()
    Returns the HTML text to appear in the main frame title.

  - ### setDocTitle

    public void setDocTitle(@Nullable String docTitle)
    Sets the HTML text to appear in the main frame title.

  - ### getHeader

    @Optional @Input public @Nullable String getHeader()
    Returns the HTML text to appear in the header for each page.

  - ### setHeader

    public void setHeader(@Nullable String header)
    Sets the HTML text to appear in the header for each page.

  - ### getFooter

    @Optional @Input public @Nullable String getFooter()
    Returns the HTML text to appear in the footer for each page.

  - ### setFooter

    public void setFooter(@Nullable String footer)
    Sets the HTML text to appear in the footer for each page.

  - ### getTop

    @Optional @Input public @Nullable String getTop()
    Returns the HTML text to appear in the top text for each page.

  - ### setTop

    public void setTop(@Nullable String top)
    Sets the HTML text to appear in the top text for each page.

  - ### getBottom

    @Optional @Input public @Nullable String getBottom()
    Returns the HTML text to appear in the bottom text for each page.

  - ### setBottom

    public void setBottom(@Nullable String bottom)
    Sets the HTML text to appear in the bottom text for each page.

  - ### getAdditionalParameters

    @Optional @Input public @Nullable List<String> getAdditionalParameters()
    Returns the additional parameters passed to the compiler. Each parameter starts with '-'.

  - ### setAdditionalParameters

    public void setAdditionalParameters(@Nullable List<String> additionalParameters)
    Sets the additional parameters passed to the compiler. Each parameter must start with '-'.